## Create a new interconnect `client.NetworkInterconnects.Interconnects.New(ctx, params) (*InterconnectNewResponse, error)` **post** `/accounts/{account_id}/cni/interconnects` Create a new interconnect ### Parameters - `params InterconnectNewParams` - `AccountID param.Field[string]` Path param: Customer account tag - `Account param.Field[string]` Body param - `SlotID param.Field[string]` Body param - `Type param.Field[string]` Body param - `Speed param.Field[string]` Body param ### Returns - `type InterconnectNewResponse interface{…}` - `type InterconnectNewResponseNscInterconnectPhysicalBody struct{…}` - `Account string` - `Facility InterconnectNewResponseNscInterconnectPhysicalBodyFacility` - `Address []string` - `Name string` - `Name string` - `Site string` A Cloudflare site name. - `SlotID string` - `Speed string` - `Type string` - `Owner string` - `type InterconnectNewResponseNscInterconnectGcpPartnerBody struct{…}` - `Account string` - `Name string` - `Region string` - `Type string` - `Owner string` - `Speed InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed` Bandwidth structure as visible through the customer-facing API. - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed50M InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "50M"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed100M InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "100M"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed200M InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "200M"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed300M InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "300M"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed400M InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "400M"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed500M InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "500M"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed1G InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "1G"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed2G InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "2G"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed5G InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "5G"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed10G InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "10G"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed20G InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "20G"` - `const InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed50G InterconnectNewResponseNscInterconnectGcpPartnerBodySpeed = "50G"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/network_interconnects" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) interconnect, err := client.NetworkInterconnects.Interconnects.New(context.TODO(), network_interconnects.InterconnectNewParams{ AccountID: cloudflare.F("account_id"), Body: network_interconnects.InterconnectNewParamsBodyNscInterconnectCreatePhysicalBody{ Account: cloudflare.F("account"), SlotID: cloudflare.F("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"), Type: cloudflare.F("type"), }, }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", interconnect) } ``` #### Response ```json { "account": "account", "facility": { "address": [ "string" ], "name": "name" }, "name": "name", "site": "site", "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "speed": "speed", "type": "type", "owner": "owner" } ```